import type { Collection as BaseCollection, CollectionId } from "../../../metabase-types/api";
export declare const otherUsersPersonalCollections: () => string;
type Collection = Pick<BaseCollection, "id" | "name" | "originalName" | "personal_owner_id" | "type">;
export declare function collection(collection?: Pick<Collection, "id" | "type" | "name">): string;
export declare function isCollectionPath(path: string): boolean;
export declare function extractCollectionId(slug?: string): CollectionId | undefined;
export {};
